--------------------------------------------------------
--  Datei erstellt -Donnerstag-August-24-2017
--------------------------------------------------------
SET DEFINE OFF;

INSERT INTO EXPORTDATEN (
    XDE_KEY,
    XDE_XRC_ID,
    XDE_STUFE,
    XDE_BEZEICHNUNG,
    XDE_BESCHREIBUNG,
    XDE_SQL,
    XDE_STATUS,
    XDE_USER,
    XDE_USERDAT
) VALUES (
    139,
    50000,
    8,
    'Sicherheitsanlagen',
    'Liefert alle Daten (Vertrags-/Rechnungsdaten) fuer die Sicherheitsanlagen',
    'select
     BMV.BMV_BMK_KEY,
     BMK.BMK_KATEGORIE,
     BMV.BMV_FIL_ID,
     BMV.BMV_ZENTRALBEREICH,
     BMV.BMV_ZENTRALBEREICH AS BMV_ZENTRALBEREICH_SUCH,
     BMV.BMV_MIETE,
     BMV.BMV_MIETFREI,
     BMV.BMV_TNNL,
     BMV.BMV_KENNUNG,
     TRUNC(BMV.BMV_LAUFZEITENDE) AS BMV_LAUFZEITENDE,
     TRUNC((select to_date(FIF_WERT, ''DD.MM.YYYY'')
     from FILIALINFOS FIF
     where FIF.FIF_FIL_ID = BMV.BMV_FIL_ID
     and FIF_FIT_ID = 34
     and FIF_IMQ_ID = 8)) as FIF_INFO_EROEFFNUNG,
     BMR.BMR_RENUMMER,
     TRUNC(BMR.BMR_REDATUM) AS BMR_REDATUM,
     BMR.BMR_REFELD,
     BMR.BMR_TEXTFELD,
     BMR.BMR_NETTO
     from BMAKATEGORIE BMK left join BMAVERTRAEGE BMV
     on BMK.BMK_KEY = BMV.BMV_BMK_KEY
     left join BMARECHNUNGEN BMR
     on BMV.BMV_KEY = BMR.BMR_BMV_KEY',
    'A',
    'Stefan Oppl',
    SYSDATE
);

INSERT INTO RECHTESTUFEN (
  XRS_XRC_ID,
  XRS_BIT,
  XRS_BESCHREIBUNG
) VALUES (
  50000,
  4,
  'Datenexport'
);

INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_BMK_KEY','T',30,300,'SQL:SELECT BMK_KEY, BMK_KATEGORIE FROM BMAKATEGORIE ORDER BY 2',10,'oppl_s',SYSDATE,'BMK:BMK_KATEGORIE','BMK_KATEGORIE',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_FIL_ID','T',30,100,'',20,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_ZENTRALBEREICH_SUCH','T',30,300,'SQL:SELECT BMV_ZENTRALBEREICH, BMV_ZENTRALBEREICH AS BMV_ZENTRALBEREICH_SUCH FROM BMAVERTRAEGE WHERE BMV_ZENTRALBEREICH IS NOT NULL GROUP BY BMV_ZENTRALBEREICH, BMV_ZENTRALBEREICH',30,'oppl_s',SYSDATE,'BMV:BMV_ZENTRALBEREICH','BMV_ZENTRALBEREICH',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_MIETE','N2',30,100,'',40,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_MIETFREI','T',30,100,'',50,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_TNNL','T',30,100,'',60,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_KENNUNG','T',30,100,'',70,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMV_LAUFZEITENDE','D',10,200,'',80,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'FIF_INFO_EROEFFNUNG','D',10,200,'',90,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMR_RENUMMER','T',30,100,'',100,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMR_REDATUM','D',10,200,'',110,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMR_REFELD','N0',30,100,'',120,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMR_TEXTFELD','T',30,100,'',130,'oppl_s',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (139,'BMR_NETTO','N2',30,100,'',140,'oppl_s',SYSDATE,'','',0,1);

COMMIT;
